Bug 518719 - pata_ali module fails with ALi Corporation M5229 IDE rev c1 chipset
Summary: pata_ali module fails with ALi Corporation M5229 IDE rev c1 chipset
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-21 20:05 UTC by g_remlin
Modified: 2010-06-28 14:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:13:58 UTC


Attachments (Terms of Use)

Description g_remlin 2009-08-21 20:05:57 UTC
Description of problem:
The pata_ali module fails with rev c1 of the M5229, but seems fine with rev c2.
Reading (the boot) sector appears to return all zero's. 

Version-Release number of selected component (if applicable):
2.6.29.X (through to 2.6.30 inclusive, built & installed on rev c2 and then transferred).

Failing M5229:
00:0f.0 IDE interface: ALi Corporation M5229 IDE (rev c1) (prog-if fa)
        Flags: bus master, medium devsel, latency 32, IRQ 11
        [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
        [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
        [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
        [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
        I/O ports at f400 [size=16]
        Kernel driver in use: pata_ali
        Kernel modules: pata_ali

Working M5229:
00:0f.0 IDE interface: ALi Corporation M5229 IDE (rev c2) (prog-if fa)
        Flags: bus master, medium devsel, latency 32
        [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
        [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
        [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
        [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
        I/O ports at f000 [size=16]
        Capabilities: [60] Power Management version 2
        Kernel driver in use: pata_ali
        Kernel modules: pata_ali

How reproducible:
Always

Steps to Reproduce:
1. Standard F11 install on motherboard with ALI M5229 rev c1 chipset.
2.
3.
  
Actual results:
No available drive for installation (unknown partition table)

Expected results:


Additional info:

Comment 1 Christoph Biedl 2010-04-06 21:27:57 UTC
This was very likely introduced with upstream kernel commit

1b2c357c301b76118973763e886d9f70a7f50f7e
pata_ali: force initialise a few bits

but reverting isn't easy as further work has been done to pata_ali since then.

If time permits I'll dig further into that - although I'm inclined to pick some old pata controller to simply work around the problem. For the records, "rev 20" seems to work.

Comment 2 Christoph Biedl 2010-04-07 16:46:45 UTC
Regression was fixed in

| commit d6250a03fa736c1bff4df4601f5af2dc21f2bf9e
| Author: Alan Cox <alan@linux.intel.com>
| Date:   Mon Nov 30 13:23:05 2009 +0000
| 
|     pata_ali: Fix regression with old devices

Comment 3 cradford 2010-04-10 23:38:25 UTC
Compiled a 2.6.33 kernel with pata_ali.ko & alim15x3.ko modules. On a 'rev c1' motherboard, created two initrd's with alternate drivers excluded. Confirmed that the alim15x3.ko works. With the pata_ali.ko module in use, the kernel seems to just stop after the HDD has been detected and identified. Last line on console:-
"scsi: 0:0:0:0: Direct Access   ATA"  < make/drive ident >

Comment 4 Bug Zapper 2010-04-28 09:53:15 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 cradford 2010-04-28 19:41:37 UTC
As this is a current kernel driver issue, this also applies to Fedora 12 (and probably Fedora 13 if it is not fixed within the next fortnight :)

Comment 6 Bug Zapper 2010-06-28 14:13:58 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.